Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	library for asyncronous name service queries
Name:      	libasyncns
Version:   	0.4
Release:   	1
License: 	GNU/GPL
URL:		http://0pointer.de/lennart/projects/libasyncns
Group:     	System/Libraries	
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
libasyncns is a C library for Linux/Unix for executing name service queries asynchronously. It is an asynchronous wrapper around getaddrinfo(3), getnameinfo(3), res_query(3) and res_search(3) from libc and libresolv.
In contrast to GNU's asynchronous name resolving API getaddrinfo_a(), libasyncns does not make use of UNIX signals for reporting completion of name queries. Instead, the API exports a standard UNIX file descriptor which may be integerated cleanly into custom main loops.
In contrast to asynchronous DNS resolving libraries like libdenise, skadns, adns, libasyncns is just an asynchronous wrapper around the libc's synchronous getaddrinfo() API, which has the advantage of allowing name resolution using techniques like Multicast DNS, LDAP or NIS using standard libc NSS (Name Service Switch) modules. libasyncns is compatible with IPv6 if the underlying libc is.
libasyncns is very tiny, consisting of just one header and one source file. It has no dependencies besides libc.
By default libasyncns spawns a number of worker threads (LWPs) to process name queries. Alternatively or when POSIX Threads are not supported, libasyncns can fork() off worker processes instead.

%package devel
Summary: %{name} development headers.
Group: %{group}
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.


%post
ldconfig


%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --libexecdir=%_sbindir --bindir=%_bindir \
     --infodir=%_infodir --mandir=%_mandir --disable-debug
make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.la
%_libdir/*.a
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.4-1
- version update
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.3-1
- initial package release
